<template>
    <div>
      <nav>
      <ul>
        <li><a class="active" href="#home">Home</a></li>
        <li><a href="#about">About</a></li>
        
      </ul>
    </nav>
    <slot />
    </div>
  </template>
  
  <script>
  export default {
  
  }
  </script>
  
  <style scoped>
  body{
    margin: 0px;
  }
  
  nav > ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: #333;
  }
  
  nav > ul > li {
    float: left;
  }
  
  li a {
    display: block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
  }
  
  li a:hover {
    background-color: #111;
  }
  </style>